Qt 5.9 | Qt Core | C++ Classes | QFile

Qt 5.9.9 Reference Documentation

# Obsolete Members for QFile

The following members of class QFile are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` typedef | EncoderFn

## Public Functions

`(obsolete)` QString | readLink() const

- 2 public functions inherited from QObject

## Static Public Members

`(obsolete)` QString | readLink(const QString &fileName)
`(obsolete)` void | setDecodingFunction(DecoderFn function)
`(obsolete)` void | setEncodingFunction(EncoderFn function)

- 1 static public member inherited from QObject

## Member Type Documentation

### typedef QFile::EncoderFn

This is a typedef for a pointer to a function with the following signature:

      QByteArray myEncoderFunc(const QString &fileName);

See also setEncodingFunction() and encodeName().

## Member Function Documentation

### QString QFile::readLink() const

Use symLinkTarget() instead.

### `[static]` QString QFile::readLink(const QString &fileName)

Use symLinkTarget() instead.

### `[static]` void QFile::setDecodingFunction(DecoderFn function)

This function does nothing. It is provided for compatibility with Qt 4 code that attempted to set a different decoding function for file names. That feature is flawed and no longer supported in Qt 5.

See also setEncodingFunction() and decodeName().

### `[static]` void QFile::setEncodingFunction(EncoderFn function)

This function does nothing. It is provided for compatibility with Qt 4 code that attempted to set a different encoding function for file names. That feature is flawed and no longer supported in Qt 5.

See also encodeName() and setDecodingFunction().